/*-------------------------------------------------------------------------*/
/* dbsnapin.h                                                              */
/*                                                                         */
/* (c) Copyright 1992-1994 Novell, Inc.  All rights reserved.              */
/*                                                                         */
/* The following source code is provided to aid in the development of      */
/* NetWare (TM) compatible products and is provided "AS IS" AND WITHOUT    */
/* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING WITHOUT LIMITATION ANY     */
/* IMPLIED WARRANTIES OF MERCHANTABILITY, TITLE AND FITNESS FOR A          */
/* PARTICULAR PURPOSE.  Some states do not allow limitations on how long   */
/* an implied warranty lasts, so the above limitation may not apply to     */
/* You.  This warranty gives you specific legal rights which vary from     */
/* state to state.  Some states do not allow the exclusion or limitation   */
/* of incidental or consequential damages, so the above limitation or      */
/* exclusion may not apply to You.                                         */
/*                                                                         */
/*-------------------------------------------------------------------------*/
#ifndef SNAPTEST_H
#define DIALOG_1	1
#define SNAPTEST_H

/*---------------------------------------------------*/
/* Max DB User used in the structure TDBServerObject */
/*---------------------------------------------------*/
#define MAX_DBUSER   50

/*---------------------------------------------------*/
/* Definitions used in Resources                     */
/*---------------------------------------------------*/
#define ID_DIALOG1      1000
#define ID_DIALOG2      1001
#define ID_DIALOG3      1002
#define ID_DIALOG4      1003
#define ID_DIALOG5      1004

#define IDD_EDIT1       1000
#define IDD_EDIT2       1001
#define IDD_GROUP       1002
#define IDD_BLACK       1003
#define IDD_WHITE       1004
#define IDD_LISTBOX     1005

/*---------------------------------------------------*/
/* Create Dialog DIALOG_DBSERVER_ADD                 */
/*---------------------------------------------------*/
#define IDC_DBSERVER_NAME       0x2001
#define IDC_ADD_DETAILS         0x2002
#define IDC_ADD_ANOTHER         0x2003
#define IDC_CREATE              0x2004
#define IDC_CANCEL              0x2005
#define IDC_DATABASE_NAME		  0x2006
#define IDC_DBS_NAME				  0x2007
#define IDC_FIND_DBS				  0x2008

/*---------------------------------------------------*/
/* Identification Page Dialog for DBServer Object    */
/*---------------------------------------------------*/
#define IDC_NAME                0x2010
#define IDC_DESCR               0x2011
#define IDC_FIND_NETWARE		  0x2012
#define HOST_NETWARE_NAME		  0x2013


/*---------------------------------------------------*/
/* Identification Page Dialog for Database Object    */
/*---------------------------------------------------*/
#define IDC_DBNAME					0x2014
#define IDC_HOST_DBSERVER			0x1015
#define IDC_FIND_ADMIN			  0x2016
#define IDC_OPER_NAME	        0x2017
#define IDC_FIND_OPER	        0x2018
#define IDC_ADMIN_NAME          0x2019

/*---------------------------------------------------*/
/* DBServer Databases Page                           */
/*---------------------------------------------------*/
#define IDC_DATABASELIST            0x2020

/*---------------------------------------------------*/
/* Database User Page                                */
/*---------------------------------------------------*/
#define IDC_ADDUSER									0x2021
#define IDC_DELUSER									0x2022
#define IDC_USERLIST								0x2023


#endif
